package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireSandboxMapper;
import com.ruoyi.project.patrol.fire.domain.TFireSandbox;
import com.ruoyi.project.patrol.fire.service.ITFireSandboxService;

/**
 * 应急沙箱Service业务层处理
 * 
 * @author admin
 * @date 2023-11-02
 */
@Service
public class TFireSandboxServiceImpl implements ITFireSandboxService 
{
    @Autowired
    private TFireSandboxMapper tFireSandboxMapper;

    /**
     * 查询应急沙箱
     * 
     * @param id 应急沙箱主键
     * @return 应急沙箱
     */
    @Override
    public TFireSandbox selectTFireSandboxById(Long id)
    {
        return tFireSandboxMapper.selectTFireSandboxById(id);
    }

    /**
     * 查询应急沙箱列表
     * 
     * @param tFireSandbox 应急沙箱
     * @return 应急沙箱
     */
    @Override
    public List<TFireSandbox> selectTFireSandboxList(TFireSandbox tFireSandbox)
    {
        return tFireSandboxMapper.selectTFireSandboxList(tFireSandbox);
    }

    /**
     * 新增应急沙箱
     * 
     * @param tFireSandbox 应急沙箱
     * @return 结果
     */
    @Override
    public int insertTFireSandbox(TFireSandbox tFireSandbox)
    {
        return tFireSandboxMapper.insertTFireSandbox(tFireSandbox);
    }

    /**
     * 修改应急沙箱
     * 
     * @param tFireSandbox 应急沙箱
     * @return 结果
     */
    @Override
    public int updateTFireSandbox(TFireSandbox tFireSandbox)
    {
        return tFireSandboxMapper.updateTFireSandbox(tFireSandbox);
    }

    /**
     * 批量删除应急沙箱
     * 
     * @param ids 需要删除的应急沙箱主键
     * @return 结果
     */
    @Override
    public int deleteTFireSandboxByIds(Long[] ids)
    {
        return tFireSandboxMapper.deleteTFireSandboxByIds(ids);
    }

    /**
     * 删除应急沙箱信息
     * 
     * @param id 应急沙箱主键
     * @return 结果
     */
    @Override
    public int deleteTFireSandboxById(Long id)
    {
        return tFireSandboxMapper.deleteTFireSandboxById(id);
    }
}
